import { post } from "@/request/api.js";
// 此执行为获取实名认证的开关状态
post('v1/isAuthentication').then(res => {
    if (res.code === 0) {
        uni.setStorageSync("isAuthentication", res.data.data);
    }
})

// 获取userinfo方法挂载uni公共对象上
uni.userfun = () => {
    return new Promise((resolve, reject) => {
        post("v1/user/userinfo").then((res) => {
            if (res.code === 0) {
                uni.setStorageSync("userinfo", res.data.data);
                resolve(res.data.data)
            } else {
                resolve({})
            }
        });
    })
}

// uni.userfun().then(res=>{
//     console.log('----',res);
// })